#### PyKDE - Python Bindings for KDE

# class KParts.PartBase |
Table of contents
Modules
kparts Classes
All Classes

Module | kparts
Class | KParts.PartBase
Inherits | KXMLGUIClient

### methods

- PartBase ()

  returns a PartBase instance

- loadPlugins (parent, parentGUIClient, instance)

  returns nothing
  In versions KDE 3.1.0 and above only
  Argument | Type | Default
  --- | --- | ---
  parent | QObject |
  parentGUIClient | KXMLGUIClient |
  instance | KInstance |

- partObject ()

  returns (QObject)

- setInstance (instance)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  instance | KInstance |

- setInstance (instance, loadPlugins)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  instance | KInstance |
  loadPlugins | bool |

- setPartObject (object)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  object | QObject |

- setPluginLoadingMode (loadingMode)

  Not Implemented